/****************************************************************************/
/* GF74 ( QUERY状態ﾃｰﾌﾞﾙ )                                                  */
/*                                                                          */
/* Created : 2021/06/29 14:03:36                                            */
/****************************************************************************/

CREATE TABLE GF74 (
   SYSTEM_ID    VARCHAR2 (   10 )                   NOT NULL            /*  1 ｼｽﾃﾑID        */
 , TBLSYU       VARCHAR2 (    1 )                   NOT NULL            /*  2 ﾃｰﾌﾞﾙ種別     */
 , ADDRESS      VARCHAR2 (  256 )                                       /*  3 ｱﾄﾞﾚｽ         */
 , FILENAME     VARCHAR2 (   60 )                                       /*  4 ﾌｧｲﾙ名        */
 , FILEPATH     VARCHAR2 (  256 )                                       /*  5 ﾌｧｲﾙﾊﾟｽ       */
 , MODIFIED     VARCHAR2 (   14 )                                       /*  6 最終更新日    */
 , TAGNAME      VARCHAR2 (   30 )                                       /*  7 ﾀｸﾞ名称       */
 , CLMS         VARCHAR2 ( 4000 )                                       /*  8 ｶﾗﾑ一覧       */
 , TABLEID      VARCHAR2 (   50 )                                       /*  9 ﾃｰﾌﾞﾙID       */
 , DBID         VARCHAR2 (   20 )                                       /* 10 ﾃﾞｰﾀﾍﾞｰｽID    */
 , SQL_TYPE     VARCHAR2 (   30 )                                       /* 11 ｸｴﾘｰﾀｲﾌﾟ      */
 , JSP_SCOPE    VARCHAR2 (   20 )                                       /* 12 ｽｺｰﾌﾟ         */
 , SQL_TEXT     CLOB                                                    /* 13 検索          */
 , FGOMIT       VARCHAR2 (    1 )       DEFAULT '0' NOT NULL            /* 14 除外ﾌﾗｸﾞ      */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 15 ﾕﾆｰｸｷｰ        */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 16 状態ﾌﾗｸﾞ      */
 , DYSET        VARCHAR2 (   14 )                                       /* 17 登録日時      */
 , PGSET        VARCHAR2 (   10 )                                       /* 18 作成PG        */
 , PGPSET       VARCHAR2 (   10 )                                       /* 19 作成親PG      */
 , USRSET       VARCHAR2 (   10 )                                       /* 20 作成社員      */
 , DYUPD        VARCHAR2 (   14 )                                       /* 21 更新日時      */
 , PGUPD        VARCHAR2 (   10 )                                       /* 22 更新PG        */
 , PGPUPD       VARCHAR2 (   10 )                                       /* 23 更新親PG      */
 , USRUPD       VARCHAR2 (   10 )                                       /* 24 更新者        */
 , TABLE_NAMES  VARCHAR2 ( 4000 )                                       /* 25 ﾃｰﾌﾞﾙ一覧     */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 16K );


CREATE SEQUENCE GF74S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF74T00 
  BEFORE INSERT ON GF74
  FOR EACH ROW 
  BEGIN 
    SELECT GF74S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
